diff --git a/contrib/sepgsql/dml.c b/contrib/sepgsql/dml.c
index 2892346..22dac36 100644
--- a/contrib/sepgsql/dml.c
+++ b/contrib/sepgsql/dml.c
@@ -69,7 +69,10 @@ fixup_whole_row_references(Oid relOid, Bitmapset *columns)
 			continue;
 
 		if (((Form_pg_attribute) GETSTRUCT(tuple))->attisdropped)
+		{
+			ReleaseSysCache(tuple);
 			continue;
+		}
 
 		index = attno - FirstLowInvalidHeapAttributeNumber;
 
